#include <bits/stdc++.h>

using namespace std;

int main() {
    int n, k, niz[20000], index;
    cin >> n >> k;
    for (int i = 0; i < n; i++) {
        cin >> niz[i];
    } 

    for (int i = 0; i < n; i++) {
        if (niz[i] == k){
            index = k;
            break;
        }
    } 
    cout << niz[(index+1) % n];
    return 0;
}